import '../../../scripts/bootstrap/js/bootstrap.min'
import {tp} from '../../comm-util/comm'

$('.tag-dn').removeClass('tag-dn');
cd_show(0, 10);
//myselect选择事件
$('.js-my-select').find('.option-c>ul').on('click','li',function () {
    $(this).parent().find('.selected').removeClass('selected');
    $(this).parent().parent().find('.selected').removeClass('selected');
    $(this).addClass('selected');
    $(this).parent().parent().parent().find('samp.init-c').text($(this).text());
    $(this).parent().parent().parent().find('input:hidden').val($(this).text()).attr('data-val', $(this).attr('data-val'));
});
//联动
//城市操作
$('#sel-add').parent().parent().on('click', 'li', function (e) {
    $.ajax({
        url: con.y_x + '?id=' + e.target.dataset.val + "&name=" + e.target.innerText,
        type: 'POST',
        dataType: "json",
        success: function (data) {
            $('#sel-xm').parent().parent().find('ul').html(tp('.tp', data.data))
        }
    })
});
//查询事件
$('.cha-bt').click(function () {
    var dq = $('#sel-add').val();
    var yx = $('#sel-xm').val();
    var sy = $('#sel-sy').val();
    var nf = $('#sel-nian').val();
    var dq_i = $('#sel-add').attr('data-val');
    var yx_i = $('#sel-xm').attr('data-val');
    var sy_i = $('#sel-sy').attr('data-val');
    var nf_i = $('#sel-nian').attr('data-val');
    $.ajax({
        url: con.cha,
        data: {dq: dq, yx: yx, sy: sy, nf: nf, dq_i: dq_i, yx_i: yx_i, sy_i: sy_i, nf_i: nf_i},
        type: 'POST',
        dataType: "json",
        success: function (data) {
            con.fn(data);
        }
    });
});